Summary: Execute a program periodically, showing output fullscreen
Name: watch
Version: 3.2.8
Release: 1
License: GPLv2+
Group: Applications/System
URL: http://procps.sourceforge.net
Source0: http://procps.sourceforge.net/procps-%{version}.tar.gz
Source1: %{name}-%{version}-aix-addon.tar.gz
Patch0: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: ncurses-devel >= 5.6
Requires: ncurses >= 5.6

%description
watch runs command repeatedly, displaying its output (the first screen-
full).  This allows you to watch the program output change over time.
By default, the program is run every 2 seconds; use -n or --interval to
specify a different interval.

The -d or --differences flag will highlight the differences between
successive updates.  The --cumulative option  makes  highlighting
"sticky",  presenting a running display of all positions that have ever
changed.  The -t or --no-title option turns off the header showing the
interval, command, and current time at the top of the display, as well
as the following blank line.

watch will run until interrupted.

In order to avoid clashes with the AIX /usr/sbin/watch program it has been
renamed to 'gwatch'.

%prep
%setup -q -n procps-%{version}
%patch0
gzip -dc %{SOURCE1} | tar xvpf -


%build
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/g%{name}
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING NEWS README README.top
%{_bindir}/*
%{_mandir}/man1/*
/usr/linux/bin/*


%changelog
* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 3.2.8-1
- first version for AIX V5.1 and higher based on Linux procps
